Summary:	Metapackage for the Xfce desktop environment
Name:		task-xfce
Version:	4.10
Release:	%mkrel 7
Epoch:		2
Group:		Graphical desktop/Xfce
License:	GPLv2+
URL:		http://www.mageia.org
BuildArch:	noarch

# (tpg) please keep requires in alphabetical order
Requires:	task-xfce-minimal

Suggests:	gigolo
Suggests:	orage
Suggests:	parole
Suggests:	xarchiver
Suggests:	ristretto
Suggests:	thunar-archive-plugin
Suggests:	xfmpc
Suggests:	xfce4-artwork
Suggests:	mageiawelcome

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the Xfce Mageia Desktop.

Xfce panel plugins can be found in %{name}-plugins.

%package minimal
Summary:	Minimal dependencies needed for Xfce desktop
Group:		Graphical desktop/Xfce
Url:		http://wiki.mageia.org

# (tpg) please keep requires in alphabetical order
Requires:	mousepad
Requires:	task-x11
Requires:	thunar
Requires:	xfce4-appfinder
Requires:	xfce4-mixer
Requires:	xfce4-notifyd
Requires:	xfce4-panel
Requires:	xfce4-screenshooter
Requires:	xfce4-session
Requires:	xfce4-settings
Requires:	xfce4-taskmanager
Requires:	xfce4-terminal
Requires:	xfdesktop
Requires:	xfwm4

Suggests:	canberra-gtk
Suggests:	drakconf
Suggests:	lightdm
Suggests:	oxygen-icon-theme
Suggests:	task-pulseaudio
#Suggests:	xfce4-icon-theme
Suggests:	xfce4-power-manager

%description minimal
Xfce is a lightweight desktop environment for various *NIX systems.
Designed for productivity, it loads and executes applications fast,
while conserving system resources.

This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal Xfce desktop environment.

%package plugins
Summary:	Metapackage for the Xfce panel plugins
Group:		Graphical desktop/Xfce
Url:		http://wiki.mageia.org
Requires:	task-xfce-minimal

# (tpg) please keep requires in alphabetical order
Suggests:	xfce4-battery-plugin
Suggests:	xfce4-clipman-plugin
Suggests:	xfce4-cpufreq-plugin
Suggests:	xfce4-cpugraph-plugin
Suggests:	xfce4-datetime-plugin
Suggests:	xfce4-diskperf-plugin
Suggests:	xfce4-embed-plugin
Suggests:	xfce4-eyes-plugin
Suggests:	xfce4-fsguard-plugin
Suggests:	xfce4-genmon-plugin
Suggests:	xfce4-kbdleds-plugin
Suggests:	xfce4-linelight-plugin
Suggests:	xfce4-mailwatch-plugin
Suggests:	xfce4-mount-plugin
Suggests:	xfce4-mpc-plugin
Suggests:	xfce4-netload-plugin
Suggests:	xfce4-notes-plugin
Suggests:	xfce4-places-plugin
Suggests:	xfce4-quicklauncher-plugin
Suggests:	xfce4-sensors-plugin
Suggests:	xfce4-smartbookmark-plugin
Suggests:	xfce4-systemload-plugin
Suggests:	xfce4-time-out-plugin
Suggests:	xfce4-timer-plugin
Suggests:	xfce4-verve-plugin
Suggests:	xfce4-wavelan-plugin
Suggests:	xfce4-weather-plugin
Suggests:	xfce4-xkb-plugin

%description plugins
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the Xfce panel plugins.

%files

%files minimal

%files plugins


%changelog
* Tue Jan 28 2014 colin <colin> 2:4.10-7.mga4
+ Revision: 568499
- Add xfce4-notifyd mga#12416

* Sun Dec 15 2013 ennael <ennael> 2:4.10-6.mga4
+ Revision: 557132
- add mageiawelcome as a suggest

* Mon Nov 11 2013 ennael <ennael> 2:4.10-5.mga4
+ Revision: 550547
- add suggest on oxygen-icon-theme

* Fri Oct 18 2013 umeabot <umeabot> 2:4.10-4.mga4
+ Revision: 522233
- Mageia 4 Mass Rebuild

* Fri Feb 15 2013 wally <wally> 2:4.10-3.mga3
+ Revision: 398582
- enable xfce4-datetime-plugin in plugins subpkg

* Mon Jan 21 2013 wally <wally> 2:4.10-2.mga3
+ Revision: 390559
- enable xfce4-smartbookmark-plugin
- drop subrel

* Mon Jan 14 2013 umeabot <umeabot> 2:4.10-1.4.mga3
+ Revision: 384119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 2:4.10-0.4.mga3
+ Revision: 338279
- require revived mousepad instead of leafpad

* Thu Jan 03 2013 wally <wally> 2:4.10-0.3.mga3
+ Revision: 338266
- enable xfce4-genmon-plugin in plugins pkg

* Fri Dec 28 2012 wally <wally> 2:4.10-0.2.mga3
+ Revision: 335843
- terminal was renamed to xfce4-terminal

* Sun Nov 11 2012 wally <wally> 2:4.10-0.1.mga3
+ Revision: 317054
- use Xfce versioning scheme
- drop xfbib and xfburn deps (not developed so actively in upstream)
- drop xfswitch-plugin dep as actions plugin handles user change nowadays
- disable non-existing xfce4-icon-theme dep
- suggest orage

* Mon Aug 06 2012 wally <wally> 2:3-0.8.mga3
+ Revision: 279455
- change xfce4-power-manager require to a suggest

* Tue Jul 17 2012 wally <wally> 2:3-0.7.mga3
+ Revision: 271916
- enable some imported plugins
  * xfce4-embed-plugin
  * xfce4-kbdleds-plugin
  * xfce4-linelight-plugin
  * xfce4-places-plugin
  * xfce-quicklauncher-plugin

* Thu Jul 12 2012 wally <wally> 2:3-0.6.mga3
+ Revision: 270445
- drop suggests on thunar-thumbnailers (pkg was dropped)

* Sun Jul 08 2012 wally <wally> 2:3-0.5.mga3
+ Revision: 268877
- drop preload and readahead from minimal pkg suggests

* Tue Jul 03 2012 wally <wally> 2:3-0.4.mga3
+ Revision: 267011
- require xfce4-settings in -minimal (mga#6672)

* Sun Jul 01 2012 wally <wally> 2:3-0.3.mga3
+ Revision: 266144
- drop squeeze (dead in upstream, use less dead xarchiver instead)
- drop task-devel pkg
- enable some imported plugins
- clean .spec
  o drop some unimported pkgs
  o drop pkgs pulled by others

* Tue Jun 26 2012 wally <wally> 2:3-0.2.mga3
+ Revision: 263835
- switch to lightdm (from lxdm) which is supported in xfswitch-plugin now
- enable xfce4-mailwatch-plugin, xfburn and xfswitch-plugin again

* Wed May 30 2012 wally <wally> 2:3-0.1.mga3
+ Revision: 251451
- use leafpad instead of dropped mousepad
- drop obsolete xfprint
- disable some pkgs for now which aren't building currently
  - xfce4-mailwatch-plugin
  - xfburn

* Sat Apr 21 2012 wally <wally> 2:2-6.mga2
+ Revision: 232424
- disable xfswitch-plugin for now as it pulls gdm and bunch of gnome pkgs (lxdm is preferred dm for xfce)
- enable some imported pkgs

* Sat Mar 03 2012 wally <wally> 2:2-5.mga2
+ Revision: 217189
- suggest lxdm for dm in task-xfce-minimal
- don't require dm
- require xfce4-screenshooter in task-xfce-minimal (screenshots works OOTB in minimal install)

* Tue Feb 21 2012 wally <wally> 2:2-4.mga2
+ Revision: 211586
- clean task-xfce-minimal requires/suggests
  * remove ones which are pulled by others
  * suggest task-pulseaudio for sound
  * suggest drakconf
  * require dm
  * require task-x11
- clean task-xfce requires/suggests
  * drop gdm suggests, task-xfce-minimal requires dm
  * orage and xfce4-appfinder gets pulled by task-xfce4-minimal
- fix task-xfce-minimal description
- enable xfce4-mpc-plugin

* Wed Feb 15 2012 wally <wally> 2:2-3.mga2
+ Revision: 209372
- require xfce4-appfinder in task-xfce-minimal (mga#4530)

* Sun Jan 29 2012 wally <wally> 2:2-2.mga2
+ Revision: 203016
- enable some lately imported plugins

* Sun Jan 29 2012 wally <wally> 2:2-1.mga2
+ Revision: 202995
- require libxfce4ui on minimal pkg

* Mon Nov 21 2011 wally <wally> 2:1-6.mga2
+ Revision: 170618
- add xfce4-weather-plugin to task-xfce-plugins

* Fri Apr 29 2011 ahmad <ahmad> 2:1-5.mga1
+ Revision: 93491
- Change all URLs to the Mageia home page

* Fri Apr 29 2011 ahmad <ahmad> 2:1-4.mga1
+ Revision: 93490
- Change the URL to Mageia's homepage for now (mga#1066)

* Wed Apr 13 2011 philippem <philippem> 2:1-3.mga1
+ Revision: 84750
- remove requires python-xfce

* Sat Feb 19 2011 ahmad <ahmad> 2:1-2.mga1
+ Revision: 54323
- drop old/unneeded scriptlets

  + ennael <ennael>
    - update for mageia, update epoch
    - imported package task-xfce

